()

NAME
pmempool_rm() - remove persistent memory pool

SYNOPSIS

        #include <libpmempool.h>
        int pmempool_rm(const char *path, int flags);

DESCRIPTION
The pmempool_rm() function removes the pool pointed to by path. The path can point to a regular file, device dax or pool set file. If path is a pool set file, pmempool_rm() will remove all part files from replicas using unlink(2) before removing the pool set file itself.

The flags argument determines the behavior of pmempool_rm(). It is either 0 or the bitwise OR of one or more of the following flags:

•   PMEMPOOL_RM_FORCE - Ignore all errors when removing part files from replicas.

•   PMEMPOOL_RM_POOLSET_LOCAL - Also remove local pool set file.

RETURN VALUE
On success, pmempool_rm() returns 0. On error, it returns -1 and sets errno accordingly.

SEE ALSO
unlink(3), libpmemobj(7) and https://pmem.io